./scripts/restore.sh
Give you user password if asked.
-
You should be able to browse the app at http://localhost:8010/ (replacing 'localhost' by the IP given by the docker terminal on OSX and Windows)
+
+If app is broken after a restore script :
+`docker-compose restart` to restart the machine.
+
+Work with gulp
+==================
+
+Gulp allow to compile scss to css, concatenate js files and has a watcher, who do this tasks on file change.
+Gulp require nodejs installed on your computer to work.
+
+- 1. Install gulp globally:
+__If you have previously installed a version of gulp globally, please run `npm rm --global gulp`
+to make sure your old version doesn't collide with gulp-cli.__
+
+```
+$ npm install --global gulp-cli
+```
+
+- 1. Install gulp dependancies
+
+
+```
+$ npm install
+```
+
+- 2. Run gulp:
+
+```sh
+$ gulp [task]
+```
+
+Paths
+============
+
+- `app/festival/templates` : Personnal templates
+- `app/festival/static/festival` : Static files
\ No newline at end of file
--- /dev/null
+/**
+ * Plugins
+ */
+var gulp = require('gulp');
+ sass = require('gulp-sass'),
+ postcss = require('gulp-postcss'),
+ autoprefixer = require('autoprefixer'),
+ mqpacker = require('css-mqpacker'),
+ plumber = require('gulp-plumber'),
+ concat = require('gulp-concat'),
+ notify = require("gulp-notify"),
+ uglify = require('gulp-uglify');
+
+
+
+/**
+ * Paths
+ */
+var scssSrc = 'app/festival/static/festival/scss/',
+ jsSrc = 'app/festival/static/festival/js/',
+ cssDist = 'app/festival/static/festival/css/'
+
+
+
+/**
+ * Environnement
+ */
+
+env = (function() {
+ var env = 'development';
+ return env;
+} ());
+
+// Set to production (for builds)
+gulp.task( 'envProduction', function() {
+ env = 'production';
+});
+
+
+/**
+ * CSS
+ */
+gulp.task('css', function () {
+
+ if ( env === 'production' ) {
+ output = 'compressed';
+ } else {
+ output = 'expanded';
+ }
+
+ var processors = [
+ autoprefixer({browsers: ['last 2 version']}),
+ mqpacker({
+ sort: true
+ })
+ ];
+
+ return gulp.src( scssSrc + 'index.scss' )
+ .pipe(sass({ outputStyle : output }).on('error', notify.onError("Error: <%= error.message %>")))
+ .pipe(postcss(processors))
+ .pipe(gulp.dest(cssDist));
+
+});
+
+/**
+ * JAVASCRIPT
+ */
+
+// Concatenate all JS libs
+gulp.task('jsLibs', function() {
+ console.log(jsSrc);
+ return gulp.src(jsSrc + 'plugins/*.js')
+ .pipe(concat('plugins.js'))
+ .pipe(gulp.dest(jsSrc));
+});
+
+// Move main js script file
+// gulp.task('jsScripts', function() {
+// gulp.src(jsSrc + 'index.js')
+// .pipe(plumber())
+// .pipe(gulp.dest(dist + 'js/'));
+// });
+
+// Move and minify main js script file
+// gulp.task('jsScriptsBuild', function() {
+// gulp.src('src/js/index.js')
+// .pipe(plumber())
+// .pipe(uglify())
+// .pipe(gulp.dest(dist + 'js/'));
+// });
+
+
+ /**
+ * TASKS
+ */
+
+// default task (development)
+gulp.task('default', ['css', 'jsLibs'], function () {
+ gulp.watch( scssSrc + '/**/*.scss', ['css']);
+ gulp.watch( jsSrc + 'plugins/*.js', ['jsLibs']);
+});
+
+// Build tasks
+gulp.task( "build", [ 'envProduction', 'css', 'jsScriptsBuild'], function () {
+ console.log("Build complete !");
+});
\ No newline at end of file
--- /dev/null
+{
+ "name": "headup",
+ "version": "1.0.0",
+ "description": "A front-end starter using MountCSS",
+ "main": "index.html",
+ "scripts": {
+ "test": "echo \"Error: no test specified\" && exit 1"
+ },
+ "repository": {
+ "type": "git",
+ "url": "git+https://github.com/philippebarbosa/headup.git"
+ },
+ "keywords": [
+ "starter",
+ "html",
+ "css",
+ "front-end"
+ ],
+ "author": "Philippe Barbosa",
+ "license": "MIT",
+ "bugs": {
+ "url": "https://github.com/philippebarbosa/headup/issues"
+ },
+ "homepage": "https://github.com/philippebarbosa/headup#readme",
+ "devDependencies": {
+ "autoprefixer": "^6.0.3",
+ "css-mqpacker": "^4.0.0",
+ "csswring": "^4.0.0",
+ "gulp": "^3.9.0",
+ "gulp-concat": "^2.6.0",
+ "gulp-livereload": "^3.8.1",
+ "gulp-notify": "^2.2.0",
+ "gulp-plumber": "^1.0.1",
+ "gulp-postcss": "^6.0.1",
+ "gulp-sass": "^2.1.0",
+ "gulp-uglify": "^1.4.2"
+ }
+}